FROM golang:1.22.2

RUN <<EOF
apt-get update
apt-get install -y iputils-ping
apt-get install -y net-tools
apt-get install -y iproute2
apt-get install -y vim
EOF

WORKDIR /app

COPY . .

RUN go mod download
RUN go build -o api-app cmd/api/main.go
CMD ["./api-app"]
